---
title: ReportingObserver.takeRecords()
slug: Web/API/ReportingObserver/takeRecords
tags:
  - API
  - Experimental
  - Method
  - Reference
  - Reporting API
  - ReportingObserver
---
<div>{{APIRef("Reporting API")}}{{seecompattable}}</div>

<p>The <strong><code>takeRecords()</code></strong> method of the {{domxref("ReportingObserver")}} interface returns the current list of reports contained in the observer's report queue, and empties the queue.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>reportingObserverInstance</em>.takeRecords()
</pre>

<h3 id="Return_value">Return value</h3>

<p>An array of {{domxref("Report")}} objects.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let options = {
  types: ['deprecation'],
  buffered: true
}

let observer = new ReportingObserver(function(reports, observer) {
  reportBtn.onclick = () =&gt; displayReports(reports);
}, options);

observer.observe()

// ...

let records = observer.takeRecords();
console.log(records);

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Reporting API','#dom-reportingobserver-takerecords','ReportingObserver.takeRecords()')}}</td>
   <td>{{Spec2('Reporting API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ReportingObserver.takeRecords")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a></li>
</ul>
